Quassel IRC - Feature #702

[PATCH] automatically connect/disconnect on network status changes (w/ KDE)
05/23/2009 12:58 AM - sebas

Status: Resolved Start date: 05/23/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.6.0

0S: Any

Description

With this patch, my quasselclient automatically connects and reconnects depending on Solid's status. So when my network comes
up, quasselclient automatically reconnects to the core, so | don't have to do this manually. It's a feature for those linking against KDE.

I've built-tested it without and it seems | didn't do any harm there. If anyone could have a look if the user interaction is still OK for
monolithic client/core, that'd be nice.

Related issues:
Related to Quassel IRC - Bug #735: Quassel does not reconnect after suspend/r... Resolved 07/03/2009

Associated revisions

Revision f9f7524c41eb5668f3172cfddaadd50badcd7fff - 12/07/2009 10:42 PM - Manuel Nickschas
Actually make the client/core connection settings do something

This introduces ping timeout settings and automatic reconnect. If you're using

KDE, you'll get Solid support to disconnect and reconnect as your network connection
status changes.

Thanks to sebas for the initial patch for Solid support!

Closes #405, closes #702

Revision f9f7524c - 12/07/2009 10:42 PM - Manuel Nickschas

Actually make the client/core connection settings do something

This introduces ping timeout settings and automatic reconnect. If you're using

KDE, you'll get Solid support to disconnect and reconnect as your network connection
status changes.

Thanks to sebas for the initial patch for Solid support!

Closes #4005, closes #702

History

#1 - 06/27/2009 09:25 AM - bbigras
- File quassel-solid-networking-reconnect-fix.diff added
This feature is a must when used with KDE.

I normally use quasselclient with a core on a server. | tried this patch with the monolithic client and when the Internet connection went back on,
"showCoreConnectionDIg(true)" make the monolithic client act like quasselclient, it connected to the core on my server.

| added a check to make it work only with the quasselclient.

For the monolithic client | think it could kill every connection when the Internet connection drop and when it come back on it could reactivate every
connection with the "Automatic Reconnect" option activated.

#2 - 07/09/2009 10:24 PM - DeepDiver

Well a similar feature has bee requested by a debian user as well:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=536335

THX
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=536335

Tom

#3 - 07/15/2009 07:59 AM - Sputnick

- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.5.0

- % Done changed from 90 to 50

- Estimated time deleted (1.00 h)

Working on this now. | will probably couple this with a more sensible CoreConnectionDialog and add something for monolithic Quassel (probably a

general online/offline mode thing that the various parts of Quassel could react to).

Thanks for the input so far!

#4 - 09/11/2009 01:06 AM - Sputnick
- Target version deleted (0.5.0)

#5 - 10/11/2009 07:51 PM - Sputnick

- Target version set to 0.6.0

#6 - 10/12/2009 01:55 PM - brot

:) I have just applied the patch and recompiled quassel. Everything works as expected. As i use my laptop at my university and have to change rooms

often i am happy that quassel now reconnects automatically. Thanks for the patch!

#7 - 12/08/2009 02:56 AM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 50 to 100

Applied in changeset f9f7524c41 f3172cf

Files

quassel-solid-networking-reconnect.diff 2.36 KB 05/22/2009 sebas
quassel-solid-networking-reconnect-fix.diff 2.43 KB 06/27/2009 bbigras
